#!/usr/bin/gnuplot

load 'style2.gnu'
set output 'battery_stacks.eps'

set yrange [0:100]

set boxwidth 0.75 absolute
set style fill solid border -1
#set grid noxtics nomxtics
#set grid layerdefault   linetype 0 linewidth 1.000,  linetype 0 linewidth 1.000
set key outside right center vertical Left reverse enhanced autotitles columnhead nobox
set key invert samplen 4 spacing 1 width 0 height 0 
set key at 4.2, 50
#set xtics border in scale 1,0.5 nomirror rotate by -45  offset character 0, 0, 0 
#set xtics nomirror rotate by -45

set style histogram rowstacked title  offset character 0, 0, 0
set style data histograms

set ylabel "% of Total Power Dissipated"

set xrange [-0.6:2.6]

#set lmargin 6
set bmargin 2.8
set rmargin 16.5
set tmargin 1

plot for [i=2:6] 'battery_stacks.txt' using (column(i)):xtic(1) title column(i)
